---
lang: en
title: 'API docs: repository.referencesmanydefinition.keyto'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.referencesmanydefinition.keyto.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ReferencesManyDefinition](./repository.referencesmanydefinition.md) &gt; [keyTo](./repository.referencesmanydefinition.keyto.md)

## ReferencesManyDefinition.keyTo property

keyTo: The foreign key used by the target model for this relation. keyFrom: The source key used by the source model for this relation.

TODO(bajtos) Add relation description.

**Signature:**

```typescript
keyTo?: string;
```

